org.apache.avro.ipc.generic

## Class GenericRequestor

- java.lang.Object
- - org.apache.avro.ipc.Requestor
  - - org.apache.avro.ipc.generic.GenericRequestor

    public class GenericRequestor
    extends Requestor

`Requestor` implementation for generic Java data.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.avro.ipc.Requestor

`Requestor.TransceiverCallback<T>`

### Field Summary

### Fields inherited from class org.apache.avro.ipc.Requestor

`rpcMetaPlugins`

### Constructor Summary

Constructors
Constructor and Description
`GenericRequestor(org.apache.avro.Protocol protocol, Transceiver transceiver)`
`GenericRequestor(org.apache.avro.Protocol protocol, Transceiver transceiver, org.apache.avro.generic.GenericData data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.avro.generic.GenericData` `getGenericData()`
`Exception` `readError(org.apache.avro.Schema writer, org.apache.avro.Schema reader, org.apache.avro.io.Decoder in)` Reads an error message.
`Object` `readResponse(org.apache.avro.Schema writer, org.apache.avro.Schema reader, org.apache.avro.io.Decoder in)` Reads a response message.
`void` `writeRequest(org.apache.avro.Schema schema, Object request, org.apache.avro.io.Encoder out)` Writes a request message.

### Methods inherited from class org.apache.avro.ipc.Requestor

`addRPCPlugin, getLocal, getRemote, getTransceiver, readError, readResponse, request, request`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericRequestor

    public GenericRequestor(org.apache.avro.Protocol protocol,
                            Transceiver transceiver)
                     throws IOException

Throws:
  `IOException`

#### GenericRequestor

    public GenericRequestor(org.apache.avro.Protocol protocol,
                            Transceiver transceiver,
                            org.apache.avro.generic.GenericData data)
                     throws IOException

Throws:
  `IOException`

### Method Detail

#### getGenericData

    public org.apache.avro.generic.GenericData getGenericData()

#### writeRequest

    public void writeRequest(org.apache.avro.Schema schema,
                             Object request,
                             org.apache.avro.io.Encoder out)
                      throws IOException

Description copied from class: `Requestor`
Writes a request message.

Specified by:
  `writeRequest` in class `Requestor`
Throws:
  `IOException`

#### readResponse

    public Object readResponse(org.apache.avro.Schema writer,
                               org.apache.avro.Schema reader,
                               org.apache.avro.io.Decoder in)
                        throws IOException

Description copied from class: `Requestor`
Reads a response message.

Specified by:
  `readResponse` in class `Requestor`
Throws:
  `IOException`

#### readError

    public Exception readError(org.apache.avro.Schema writer,
                               org.apache.avro.Schema reader,
                               org.apache.avro.io.Decoder in)
                        throws IOException

Description copied from class: `Requestor`
Reads an error message.

Specified by:
  `readError` in class `Requestor`
Throws:
  `IOException`